[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

To merge or not to merge gcc-4.3 into gnat-4.3


The version of gcc-4.3 currently in testing is 4.3.1-2 but 4.3.1-8 is in
unstable. Is there a plan to allow 4.3.0-8 into testing? The reason I'm asking
is because I'm about to upload gnat-4.3 4.3.1-2 with the changelog below, and I
would like this version to migrate to testing and then to Lenny. The changelog
is against gnat-4.3 4.3.0-1 which was built from the same sources as gcc-4.3
4.3.0-2. I have the option to merge the changes from gcc-4.3 into gnat-4.3.
Should I do this?

Here is the changelog entry:

gnat-4.3 (4.3.1-2) unstable; urgency=low

  [Ludovic Brenta]
  * Add sdefault.ads to libgnatprj4.3-dev.  Closes: #492866.
  * turn gnatvsn.gpr and gnatprj.gpr into proper library project files.
  * Unconditionally build-depend on gnat.  Closes: #487564.
  * (debian/rules.d/binary-ada.mk): Add a symlink libgnat.so to
    /usr/lib/libgnat-4.3.so in the adalib directory.  Closes: #493814.
  * (debian/patches/ada-sjlj.so): remove dangling symlinks from all adalib

  [Samuel Tardieu, Ludovic Brenta]
  * debian/patches/pr16086.dpatch: new; backport from GCC 4.4.
    Closes: #248172.
  * debian/patches/pr35792.dpatch: new; backport from GCC 4.4.

 -- Ludovic Brenta <lbrenta@debian.org>  Sat,  9 Aug 2008 18:33:49 +0200

Ludovic Brenta.

Reply to: